/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_BOOK_H
#define INCLUDED_BOOK_H

#include "libraries.h"
#include "stylesheet.h"


class Book {
 public:
  Book(int dummy);
  ~Book();
  void clear();
  void load(const string& Path, Stylesheet& sheet, bool do_not_split_lines, const string& backupdirectory);
  unsigned int number_of_chapters;
  unsigned int number_of_verses (unsigned int chapternumber);
  vector<string> cleaned_lines;
  void get_chapter (unsigned int chapternumber, vector<string>& lines);
  void set_chapter (vector<string>& lines);
  bool save();
  vector<string> get_backups();
  string get_backup_directory();
  void dump_with_references(vector<string>& lines);
 private:
  /* NOTE: When adding variables, see whether they need to be cleared in the clear() function. */
  void split_clean_lines (const string& text, vector<string>& lines, bool do_not_split = false);
  Stylesheet stylesheet;
  string path;
  unsigned int previously_presented_chapter;
  void get_chapter_boundaries (unsigned int chapter_number, unsigned int& begin, unsigned int& end);
  string backup_directory;
};


#endif

