/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include <gtkmm.h>
#include "dialog_yes_no.h"


YesNoDialog::YesNoDialog(Gtk::Window& parent, const string& message) :
  Dialog ("Question", parent, true, false)
{
  add_button(Gtk::Stock::YES, Gtk::RESPONSE_YES);
  add_button(Gtk::Stock::NO, Gtk::RESPONSE_NO);
  label.set_text(message);
  label.set_padding(10, 10);
  get_vbox()->pack_start(label, false, false, 0);
  show_all_children();
}


YesNoDialog::~YesNoDialog() {
}


