/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_SSF_H
#define INCLUDED_SSF_H

#include "libraries.h"


typedef enum {ssfdtFullName, ssfdtDirectory, ssfdtNaming, ssfdtFontName, ssfdtFontSize, ssfdtVersification, ssfdtLanguage, ssfdtStyleSheet} SSFDataType;
typedef enum {ldsdtFontName, ldsdtFontSize} LDSDataType;


class ScriptureSettingsFile {
  // Reads data from the Scripture Settings Files (.ssf) and the Language Data Settings files (.lds)
 public:
  ScriptureSettingsFile (const string& MyParatextProjects);
  ~ScriptureSettingsFile ();
  vector<string> shortcuts;
  string FullName (unsigned int index);
  string Directory (unsigned int index);
  void Naming (unsigned int index, string& PrePart, string& PostPart, string& BookNameForm);
  string FontName (unsigned int index);
  unsigned int FontSize (unsigned int index);
  unsigned int Versification (unsigned int index);
  string StyleSheet (unsigned int index);
  string LDSFontName (unsigned int index);
  unsigned int LDSFontSize (unsigned int index);
  int index(const string& shortcut);
 private:
  string ProjectsDirectory;
  void GetAllShortcuts();
  string GetSSFData (unsigned int index, SSFDataType SSFData);
  string GetLDSData (const string& Language, LDSDataType LDSData);
};


#endif

