/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_UTILITIES_H
#define INCLUDED_UTILITIES_H


#include "libraries.h"


string trim(const string& s);
string number_in_string (const string& str);
string upperCase(const string& s);
string lowerCase(const string& s);
string remove_spaces(const string& s);
int create_directory (const string& dir);
void write_lines (const string& file, vector<string>& lines);
unsigned int convert_to_int (const string& str);
string convert_to_string (int i);
string convert_to_string (unsigned int& i);
string convert_to_string (bool b);
bool convert_to_bool (const string& s);
string temporary_file(const string& filename);
bool program_is_running (const string& commandline);
bool string_in_file (const string& filename, const string& line);


class ReadDirectory {
 public:
  ReadDirectory (const string& path, const string& prefix, const string& suffix);
  ~ReadDirectory();
  vector<string> files;
 private:
};

class ReadText {
 public:
  ReadText (const string& file, bool silent = false);
  ~ReadText ();
  vector<string> lines;
 private:
};

class WriteText {
 public:
  WriteText (const string& file, bool append = false);
  ~WriteText();
  ofstream out;
 private:
};

#endif

